#ifndef DATACLOUD_DEVICE_BASE_H_
#define DATACLOUD_DEVICE_BASE_H_

#include <iostream>
#include "error_code/error_code.h"
#include "tool/proto_tool.h"
#include "tool/binary_buf.h"
#include "tool/thread_safe_queue.h"
#include "tool/thread_condition.h"

const std::string config_path = "../../../seeting/";

class LidarDevice {
public:
	std::string config_path = "../../../seeting/";

public:
    virtual Error_manager init() = 0;
    virtual Error_manager uninit() = 0;
    virtual Error_manager setConfigFile(std::string path) = 0;
protected:
    LidarDevice() {};
    ~LidarDevice() {};
};
#endif
