/*
 * @Description: 数据上云管理模块，实现点对点、集对集功能，然后调用设备获取到的数据，按照约定的协议进行转换，然后上传至不同的云服务器中。
 * @Author: LiuZe
 * @Date: 2023-02-23
 * @LastEditTime: 2023-02-23
 * @LastEditors: LiuZe
 */
#pragma DATA_TO_CLOUD_MANAGER_H_

#include "device/wanji.hpp"
#include "device/velodyne.hpp"

class Data2CloudManager
{
private:
    /* data */
public:
    Data2CloudManager(/* args */);
    ~Data2CloudManager();

    static Data2CloudManager* Instance();
    Error_manager Init();
    static void test();

private:
    

};